org.jetlang.web

## Class NioWriter

- java.lang.Object
- - org.jetlang.web.NioWriter

    public class NioWriter
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`NioWriter(Object lock, SocketChannel channel, org.jetlang.fibers.NioFiber fiber)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`SocketChannel` `getChannel()`
`SocketAddress` `getRemoteAddress()`
`int` `getTotalBytesBuffered()`
`SendResult` `send(ByteBuffer bb)`
`SendResult` `sendWsMsg(byte opCode, byte[] bytes, int offset, int length, byte[] maskBytes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NioWriter

    public NioWriter(Object lock,
                     SocketChannel channel,
                     org.jetlang.fibers.NioFiber fiber)

### Method Detail

#### send

    public SendResult send(ByteBuffer bb)

#### getTotalBytesBuffered

    public int getTotalBytesBuffered()

#### close

    public void close()

#### getChannel

    public SocketChannel getChannel()

#### getRemoteAddress

    public SocketAddress getRemoteAddress()

#### sendWsMsg

    public SendResult sendWsMsg(byte opCode,
                                byte[] bytes,
                                int offset,
                                int length,
                                byte[] maskBytes)